<ul class="alert alert-danger" *ngIf="errores?.length > 0">
  <li *ngFor="let err of errores">
    {{ err }}
  </li>
</ul>

<div class="card bg-dark text-white">
  <div class="card-header">{{titulo}}</div>
  <div class="card-body">
  <form #clienteForm="ngForm">
    <div class="form-group row">
      <label for="" class="col-form-label col-sm-2">Nombre</label>
      <div class="col-sm-6">
        <input type="text" class="form-control" [(ngModel)]="cliente.nombre" name="nombre"  minlength="3" #nombre="ngModel">
        <div class="alert alert-danger" *ngIf="nombre.invalid && (nombre.dirty || nombre.touched)" >
          <div *ngIf="nombre.errors.required">
            Nombre requerido
          </div>
          <div *ngIf="nombre.errors.minlength">
            Nombre debe tener al menos 3 caracteres
          </div>
        </div>
      </div>
    </div>

    <div class="form-group row">
      <label for="" class="col-form-label col-sm-2">Apellido</label>
      <div class="col-sm-6">
        <input type="text" class="form-control" [(ngModel)]="cliente.apellido" name="apellido" minlength="3" #apellido="ngModel">
      <div class="alert alert-danger" *ngIf="apellido.invalid && (apellido.dirty || apellido.touched)">
        <div *ngIf="apellido.errors.required">
          Apellido requerido
        </div>
        <div *ngIf="nombre.errors.minlength">
          Apellido debe tener al menos 3 caracteres
        </div>
      </div>
      </div>
    </div>

    <div class="form-group row">
      <label for="" class="col-form-label col-sm-2">Email</label>
      <div class="col-sm-6">
        <input type="text" class="form-control" [(ngModel)]="cliente.email" name="email"  minlength="2" #email="ngModel">
        <div class="alert alert-danger" *ngIf="email.invalid && (email.dirty || email.touched)">
          <div *ngIf="email.errors.required">
            Email requerido
          </div>
          <div *ngIf="email.errors.minlength">
            Email debe tener formato válido
          </div>
        </div>
      </div>
    </div>

    <div class="form-group">
      <div class="col-sm-6">
        <button class="btn btn-primary" role="button" (click)='create()' *ngIf="!cliente.id else elseBlock " [disabled]="!clienteForm.form.valid">Crear</button>
      <ng-template #elseBlock>
        <button class="btn btn-primary" role="button" (click)='update()'[disabled]="!clienteForm.form.valid" >Editar</button>
      </ng-template>
      </div>
    </div>

  </form>
  </div>

</div>
